Skip to Main Content

Containers, Cloud Native & Kubernetes

Announcement

For appeals, questions and feedback, please email oracle-forums_moderators_us@oracle.com

Unable to upgrade worker nodepool k8s version from v1.24 to v1.25.4 using oci cli

user-hy1h6Apr 27 2023 — edited Apr 27 2023

Hey Folks,

I haven't seen any option to update image of the workernode in oci cli.
how to update nodepool image and k8s version to v1.25.4?

oci ce node-pool update --node-pool-id $np2_id --kubernetes-version v1.25.4
ServiceError:
{
"client_version": "Oracle-PythonSDK/2.93.1, Oracle-PythonCLI/3.23.2",
"code": "Conflict",
"logging_tips": "Please run the OCI CLI command using --debug flag to find more debug information.",
"message": "Cannot update Kubernetes version which has already been set by OKE worker node image.",
"opc-request-id": "931770FFEB15435F81863C568064A367/707FF710C3FED60703038B9D7B3332C5/93C5753445ABF242FA8E06B6D459B3D8",
"operation_name": "update_node_pool",
"request_endpoint": "PUT https://containerengine.us-phoenix-1.oci.oraclecloud.com/20180222/nodePools/ocid1.nodepool.oc1.phx.aaaaaaaa4zv2b4nwwbhp7puix4hxm2wyjzgj625u5rgv3arljnvagfmbegwa",
"status": 409,
"target_service": "container_engine",
"timestamp": "2023-04-27T16:02:13.911329+00:00",
"troubleshooting_tips": "See [https://docs.oracle.com/iaas/Content/API/References/apierrors.htm] for more information about resolving this error. If you are unable to resolve this issue, run this CLI command with --debug option and contact Oracle support and provide them the full error message."
}

Thanks in Advance.

Comments
Post Details
Added on Apr 27 2023
2 comments
394 views